Package org.italiangrid.voms.request.impl

# Class ACGenerationParams

java.lang.Object
org.italiangrid.voms.request.impl.ACGenerationParams

public class ACGenerationParams extends Object
This class represents the parameters required for generating an Attribute Certificate (AC). It encapsulates various attributes such as Virtual Organization (VO), Fully Qualified Attribute Names (FQANs), Generic Attributes (GAs), host details, validity periods, and a serial number.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ACGenerationParams.Builder`
Builder class for constructing `ACGenerationParams` instances.

## Method Summary

Modifier and Type
Method
Description
`static ACGenerationParams.Builder`
`builder()`
`static ACGenerationParams`
`fromSystemProperties()`
Constructs an `ACGenerationParams` instance from system properties.
`List<String>`
`getFqans()`
`List<VOMSGenericAttribute>`
`getGas()`
`String`
`getHost()`
`Date`
`getNotAfter()`
`Date`
`getNotBefore()`
`int`
`getPort()`
`BigInteger`
`getSerialNo()`
`String`
`getVo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getVo

public String getVo()

Returns:
  the Virtual Organization name

### getFqans

public List<String> getFqans()

Returns:
  the list of Fully Qualified Attribute Names

### getGas

public List<VOMSGenericAttribute> getGas()

Returns:
  the list of Generic Attributes

### getHost

public String getHost()

Returns:
  the host associated with the AC request

### getPort

public int getPort()

Returns:
  the port associated with the AC request

### getNotBefore

public Date getNotBefore()

Returns:
  the start time of the validity period

### getNotAfter

public Date getNotAfter()

Returns:
  the end time of the validity period

### getSerialNo

public BigInteger getSerialNo()

Returns:
  the serial number of the attribute certificate

### builder

public static ACGenerationParams.Builder builder()

Returns:
  a new Builder instance

### fromSystemProperties

public static ACGenerationParams fromSystemProperties()
Constructs an `ACGenerationParams` instance from system properties.

Returns:
  a configured ACGenerationParams instance.